Subject: Re: Yellow Citrus Leaves

From: A. Meijer <[email-masked]>
Date: Sun, 15 Sep 1996 02:03:40 GMT

Lykos <[email-masked]> schrijft:
> SteveC9291 wrote:
> > 
> >      I have 10 potted orange seedlings that are outside for the summer.
> > The leaves on several of the trees are turning yellow.  I suspect a
> > nutrient deficiency but am not sure what it might be.  I fertilized with
> > Miracle Grow (very lightly) in the spring and early summer but not since.
> > I am in Denver Colorado, zone 4.
> 
> Try chelated iron added directly to soil.
When orange trees are grown from seedlings they will eventually die.
you need to graft them on proper root stock. The roots of seedlings are to weak.
One solution could bee to swich to hydroculture. But that is only a solution fore 
a fanatic hobyist.
[email-masked]